from ssd1306 import SSD1306
import _thread,time,dht
from machine import Pin

display = SSD1306(pinout={'sda': 'PB7','scl': 'PB6'},height=64,external_vcc=False)
dht = dht.DHT11(Pin("PB1"))
def funcA(sec):
	time.sleep(sec)
	try:
		display.poweron()
		display.init_display()
		display.draw_text(1,1,'DHT11Tem')
		display.draw_text(1,13,'DHT11Hum')
		while True:
			try:
				dht.measure()
				print("temperature:",dht.temperature())
				print("humidity:",dht.humidity())
				display.draw_text(55,1,str(round(dht.temperature(),1)))
				display.draw_text(55,13,str(round(dht.humidity(),1)))
			except :
				print("DHT11 lose")
			display.display()
			time.sleep_ms(1000)
	except Exception as ex:
		print('Unexpected error: {0}'.format(ex))

if __name__ == '__main__':
	_thread.start_new_thread(funcA, (1,))